package com.pcloud.book.custom.mapper;

import com.pcloud.book.custom.entity.CustomPlanRightsSetting;
import com.pcloud.book.custom.vo.EditCustomRightsSettingVO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface CustomPlanRightsSettingMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CustomPlanRightsSetting record);

    int insertSelective(CustomPlanRightsSetting record);

    CustomPlanRightsSetting selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CustomPlanRightsSetting record);

    int updateByPrimaryKey(CustomPlanRightsSetting record);

    void deleteByPlanId(Integer planId);

    EditCustomRightsSettingVO getCustomRightsSettingModule(Integer planId);
}